Skip to main content
GET
/
api
/
v1
/
invitations
/
by-scope
/
{scopeType}
/
{scope}
Get open invitations by scope
curl --request GET \
  --url https://api.example.com/api/v1/invitations/by-scope/{scopeType}/{scope} \
  --header 'x-api-key: <api-key>'
{
  "invitations": [
    {
      "id": "invitation-12345",
      "accountId": "account-12345",
      "attributes": {},
      "clickThroughs": 5,
      "configurationAttributes": {},
      "formSubmissionData": {
        "email": {
          "type": "email",
          "value": "invitee@example.com"
        },
        "personalMessage": {
          "type": "text",
          "value": "Join me on AcmeTasks!"
        },
        "role": {
          "type": "select",
          "value": "admin"
        }
      },
      "createdAt": "2023-10-01T12:00:00Z",
      "deactivated": false,
      "deliveryCount": 3,
      "deliveryTypes": [
        "email",
        "phone"
      ],
      "foreignCreatorId": "creator-12345",
      "invitationType": "single_use",
      "modifiedAt": "2023-10-01T12:00:00Z",
      "status": "queued",
      "target": [
        {
          "type": "email",
          "value": "foo@bar.com"
        }
      ],
      "views": 10,
      "widgetConfigurationId": "widget-12345",
      "widgetId": "widget-uuid",
      "deploymentId": "deployment-12345",
      "scope": "6b366c56-c0a9-4689-b763-20c890481bc8",
      "scopeType": "project",
      "expired": false,
      "source": "email",
      "subtype": "pymk",
      "expires": "2023-11-01T12:00:00Z",
      "metadata": {
        "customerId": "12345",
        "source": "web"
      },
      "passThrough": "eyJhbGciOiJBMjU2R0NNIiwiZW5jIjoiQTI1NkdDTSJ9..."
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

scope
string
required

The ID in your system of the entity to which the invitation applies (e.g., workspace, team, org, etc.).

scopeType
string
required

The name of the entity that the ID passed in scope refers to (e.g., “workspace”, “organization”, “team”). Ensures that you don’t have any issues disambiguating the ID in cases where there are multiple types of entities to which someone can be invited. If your system does not have a scope type, use "default".

Query Parameters

start
number

Pagination start index. 20 invitations are returned at a time. The value here defaults to 0. If you want to retrieve the next 20, set this value to 19, 39, 59, etc.

Response

invitations
object[]
required

An array of invitations